Bug 10294 - ошибочное применение автоматической индентации к окружению verbatim
Summary: ошибочное применение автоматической индентации к окружению verbatim
Status: CLOSED FIXED
Alias: None
Product: Sisyphus
Classification: Development
Component: emacs-mode-auctex (show other bugs)
Version: unstable
Hardware: all Linux
: P2 normal
Assignee: Nobody's working on this, feel free to take it
QA Contact: qa-sisyphus
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-11-20 11:22 MSK by kirill
Modified: 2008-06-13 12:16 MSD (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description kirill 2006-11-20 11:22:07 MSK
При выполнении автоматической индентации "перемешивает" содержание
окружения verbatim в том случае, если текст окружения начинается 
на квадратную скобку. Причем этот эффект распространяется 
только до первой пустой строки внутри окружения. 

Например,

\begin{verbatim}
[root@m1 ~]# vzctl create 102 --ostemplate altlinux-sisyphus --config vps.basic
Creating VE private area: /var/lib/vz/private/102
Performing postcreate actions
VE private area was created

test 
  test
\end{verbatim}

\begin{verbatim} [root@m1 ~]# vzctl create 102 --ostemplate
altlinux-sisyphus --config vps.basic Creating VE private area:
/var/lib/vz/private/102 Performing postcreate actions VE private area
was created 

test
  test
\end{verbatim}

Если удалить начальную квадратную скобку, то текст окружения не будет
изменен вообще, как, собственно, и должно быть.
Comment 1 partizan 2006-11-23 21:41:27 MSK
(In reply to comment #0)
Применение Ctrl+Alt+\ к следу.щему документу не влияет на verbatim:
\documentclass[12pt,a4paper]{book}
\usepackage[koi8-r]{inputenc}
\usepackage[T2A]{fontenc}

\begin{document}

Например,

\begin{verbatim}
[root@m1 ~]# vzctl create 102 --ostemplate altlinux-sisyphus --config vps.basic
Creating VE private area: /var/lib/vz/private/102
Performing postcreate actions
VE private area was created

test 
  test
\end{verbatim}

\begin{verbatim} [root@m1 ~]# vzctl create 102 --ostemplate
altlinux-sisyphus --config vps.basic Creating VE private area:
/var/lib/vz/private/102 Performing postcreate actions VE private area
was created 

test
  test
\end{verbatim}

\begin{itemize}
\item sagfsf
  dsfgd
  dfg
\end{itemize}
\end{document}

%%% Local Variables: 
%%% mode: latex
%%% TeX-master: t
%%% End: 

[alex@localhost ~]$ rpm -qa |grep emacs
emacs22-X11-22.0.50-alt0.14.20060715
emacs-prog-modes-0.2-alt2
emacs-cedet-1.0-alt0.8.beta3b
emacs-ecb-2.32-alt2
emacs-misc-modes-0.2-alt3
emacs-template-3.1c-alt1
emacs-elib-1.0-alt7
emacs-subversion-el-1.3.1-alt1
emacs-apel-10.6-alt1.20050606
emacs-mode-auctex-11.83-alt2
emacs-pov-mode-2.10-alt2
emacs-w3m-1.4.4-alt2
emacs22-nox-22.0.50-alt0.14.20060715
emacs-ocaml-3.05-alt1
emacs22-speedbar-1.0-alt0.14.20060715
emacs-nxml-mode-0.1.20041004-alt3
emacs-tiny-tools-1.0.20060302-alt1
emacs22-X11-gtk-22.0.50-alt0.14.20060715
emacs-mode-psgml-1.2.5-alt1
emacs-mmm-mode-0.4.8-alt1
emacs22-tramp-2.0.53-alt0.14.20060715
emacs-base-0.0.6-alt1
emacs22-gnus-el-5.11-alt0.14.20060715
emacs22-common-22.0.50-alt0.14.20060715
emacs-subversion-1.3.1-alt1
emacs22-gnus-5.11-alt0.14.20060715
emacs-emhacks-0.1-alt4
emacs-ruby-mode-1.59-alt3
emacs-jdee-2.3.5.1-alt1
emacs22-leim-22.0.50-alt0.14.20060715
Comment 2 partizan 2006-11-23 21:44:28 MSK
Или под идентацией понимается подсветка, а не отступ?
Comment 3 kirill 2006-12-01 14:15:16 MSK
(In reply to comment #2)
> Или под идентацией понимается подсветка, а не отступ?

Отступ. На тестовом документе отступы в verbatim ломаются при 
выполнении C-c C-q C-e (Format environment). По Ctrl-Alt-\ 
действительно verbatim остается нетронутым.

(хотя правильная подсветка verbatim тоже не повредила бы, но это уже
другая история). 

Comment 4 partizan 2008-02-18 12:05:14 MSK
Fixed in 11.85-alt1